Name:    lxqt-openssh-askpass
Summary: Askpass openssh transition dialog for LXQt desktop suite
Version: 0.9.0
Release: 6%{?dist}
License: LGPLv2+
URL:     http://lxqt.org/
Source0: http://downloads.lxqt.org/lxqt/0.9.0/lxqt-openssh-askpass-0.9.0.tar.xz
Source1: lxqt-openssh-askpass.sh
Source2: lxqt-openssh-askpass.csh

BuildRequires: cmake >= 2.8.9
BuildRequires: pkgconfig(Qt5Help)
BuildRequires: pkgconfig(Qt5Xdg) >= 1.0.0
BuildRequires: pkgconfig(lxqt)
BuildRequires: kf5-kwindowsystem-devel >= 5.5

%if 0%{?fedora} >= 22
Obsoletes: razorqt-openssh-askpass <= 0.5.2
%endif

%description
%{summary}.

%prep
%setup

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
	%{cmake} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}
mkdir -p %{buildroot}%{_libexecdir}/openssh/
mv %{buildroot}/%{_bindir}/lxqt-openssh-askpass %{buildroot}%{_libexecdir}/openssh/

mkdir -p %{buildroot}%{_sysconfdir}/profile.d
install -p -m0755 %SOURCE1 %SOURCE2 %{buildroot}%{_sysconfdir}/profile.d/

%find_lang %{name} --with-qt

%files -f %{name}.lang
%doc COPYING
%{_libexecdir}/openssh/lxqt-openssh-askpass
%config(noreplace) %{_sysconfdir}/profile.d/*

%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 0.9.0-5
- Rebuilt for GCC 5 C++11 ABI change

* Wed Feb 18 2015 Helio Chissini de Castro <helio@kde.org> - 0.9.0-4
- Rebuild (gcc5)

* Tue Feb 10 2015 Helio Chissini de Castro <helio@kde.org> - 0.9.0-3
- Obsoletes razorqt-openssh-askpass

* Mon Feb 09 2015 Helio Chissini de Castro <helio@kde.org> - 0.9.0-2
- Proper add locale for Qt tm files

* Sun Feb 08 2015 Helio Chissini de Castro <helio@kde.org> - 0.9.0-1
- New upstream release 0.9.0

* Tue Feb 03 2015 Helio Chissini de Castro <hcastro@redhat.com> - 0.9.0-0.1
- Preparing 0.9.0

* Mon Dec 29 2014 Helio Chissini de Castro <hcastro@redhat.com> - 0.8.0-5
- Rebuild against new Qt 5.4.0

* Sat Dec 20 2014 Helio Chissini de Castro <hcastro@redhat.com> - 0.8.0-4
- Unify naming as discussed on Fedora IRC

* Mon Nov 10 2014 Helio Chissini de Castro <hcastro@redhat.com> - 0.8.0-3
- Update for review in https://bugzilla.redhat.com/show_bug.cgi?id=1159829 

* Mon Nov 03 2014 Helio Chissini de Castro <hcastro@redhat.com> - 0.8.0-2
- Update to push on fedora review

* Mon Oct 27 2014 Helio Chissini de Castro <hcastro@redhat.com> - 0.8.0-1
- First release to LxQt new base
